%define upstream_name    XML-Entities
%define upstream_version 1.0002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Mapping of XML entities to Unicode
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module deals with decoding of strings with XML character entities.
Based upon the HTML::Entities module by Gisle Aas

%prep
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_bindir}/download-entities.pl
%{perl_vendorlib}/XML
%{_mandir}/man1/download-entities.pl.1*
%{_mandir}/man3/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.0.200-6.mga9
+ Revision: 1806667
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.200-5.mga8
+ Revision: 1498419
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.200-4.mga7
+ Revision: 1272757
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.200-3.mga6
+ Revision: 1035969
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.0.200-2.mga6
+ Revision: 969444
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.0.200-1.mga6
+ Revision: 868738
- update to 1.0002

* Wed Oct 15 2014 umeabot <umeabot> 1.0.100-6.mga5
+ Revision: 744869
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.100-5.mga5
+ Revision: 732626
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.100-4.mga5
+ Revision: 686918
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.100-3.mga4
+ Revision: 516033
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.100-2.mga3
+ Revision: 375013
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.0.100-1.mga3
+ Revision: 286603
- update to 1.0001

* Tue Jan 18 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 23077
- cleaning spec file
- imported package perl-XML-Entities


* Sat Aug 28 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 573808
- update to 1.0000

* Sat Jun 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.0307-1mdv2010.0
+ Revision: 383237
- import perl-XML-Entities


* Fri Jun 05 2009 cpan2dist 0.0307-1mdv
- initial mdv release, generated with cpan2dist

